Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157106 - bmptopnm reports filenames as "Standard Input" when reporting read errors
Summary: bmptopnm reports filenames as "Standard Input" when reporting read errors
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: netpbm
Version: 4
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-06 21:13 UTC by David Costanzo
Modified: 2013-07-02 23:07 UTC (History)
1 user (show)

Fixed In Version: 10.27-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-09 10:27:35 UTC


Attachments (Terms of Use)
proposed patch (deleted)
2005-05-06 21:22 UTC, David Costanzo
no flags Details | Diff

Description David Costanzo 2005-05-06 21:13:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.7.7-2

Description of problem:
bmptopnm reports filenames as "Standard Input" when reporting read errors.  Instead, it should report the actual filename.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create an invalid bitmap with "touch invalid.bmp"
2. Execute "bmptopnm invalid.bmp"
  

Actual Results:  bmptopnm prints out:

  bmptopnm: Standard Input: read error

Expected Results:  bmptopnm prints out:

  bmptopnm: invalid.bmp: read error

Additional info:

Comment 1 David Costanzo 2005-05-06 21:22:55 UTC
Created attachment 114100 [details]
proposed patch

The fix is to inverted the condition in an if statement that used strcmp().

I did a quick grep of the tree too look for other bugs like this one.  Other
other uses look good.  Except there was one suspicious usage in
converter/other/pnmtojpeg.c:

  if (strcmp(cmdline_p->input_filespec, "=") == 0 &&

It should probably be:

  if (strcmp(cmdline_p->input_filespec, "-") == 0 &&

I will report this as a separate bug.

Comment 2 David Costanzo 2005-05-06 21:31:57 UTC
Oops!  I forgot to include the package version: netpbm-progs-10.27-1

Comment 3 Jindrich Novy 2005-05-09 10:27:35 UTC
Fixed. Thanks.


Note You need to log in before you can comment on or make changes to this bug.